Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.util
Interface IConstants

public interface IConstants

These messages should be provided by the adapter provider in a properties file named after their adapter logical name on the classpath. Provides all the keys for messages required by ADK classes. The actual string value is the same as the name in all lowercase. For example, the value for `'KEY1'` would be `'key1'`.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `ADAPTER_DESCRIPTION` Key used to locate the description of the resource adapter for display purposes.
`static java.lang.String` | `ADAPTER_NAME` Key used to locate the name of the resource adapter for display purposes.
`static java.lang.String` | `ADAPTER_VENDOR` Key used to locate the vendor name of the resource adapter for display purposes.
`static java.lang.String` | `ADAPTER_VERSION` Key used to locate the version of the resource adapter for display purposes.
`static java.lang.String` | `ADDITIONAL_CLEANUP_EXCEPTION`
`static java.lang.String` | `ALREADY_CLOSED`
`static java.lang.String` | `ALREADY_DESTROYED`
`static java.lang.String` | `CONNECTION_EVENT` Key used to locate the message for a connection event.
`static java.lang.String` | `CONNECTION_EVENT_LISTENER_REMOVED`
`static java.lang.String` | `CONNECTION_EVENT_NO_SOURCE` Key used to locate the message for a connection event without a valid source object.
`static java.lang.String` | `CONNECTION_EVENT_NO_SOURCE_WITH_EXCEPTION` Key used to locate the message for a connection event without a valid source object and an associated exception.
`static java.lang.String` | `CONNECTION_EVENT_WITH_EXCEPTION` Key used to locate the message for a connection event with an associated exception.
`static java.lang.String` | `CONNECTION_FACTORY_INFO`
`static java.lang.String` | `CONNECTION_HANDLE_REMOVED`
`static java.lang.String` | `CONNECTION_METADATA_EXCEPTION`
`static java.lang.String` | `CONNECTION_PING_FAILED`
`static java.lang.String` | `CREDENTIALS_IN_REQUEST_INFO`
`static java.lang.String` | `CREDENTIALS_IN_SUBJECT`
`static java.lang.String` | `DESTROY_PHYSICAL_CONNECTION_EXCEPTION`
`static java.lang.String` | `DESTROYING_APP_LEVEL_CONNECTION_HANDLE`
`static java.lang.String` | `ERROR_CLOSING_CONNECTION`
`static java.lang.String` | `EVENT_GENERATOR_ALREADY_STARTED`
`static java.lang.String` | `EVENT_GENERATOR_ALREADY_STOPPED`
`static java.lang.String` | `EVENT_GENERATOR_INITIALIZED`
`static java.lang.String` | `EVENT_GENERATOR_NOT_INITIALIZED`
`static java.lang.String` | `EVENT_GENERATOR_REFRESH`
`static java.lang.String` | `EVENT_GENERATOR_START`
`static java.lang.String` | `EVENT_GENERATOR_STOP`
`static java.lang.String` | `EVENT_GENERATOR_WORKER_END_RUN`
`static java.lang.String` | `EVENT_GENERATOR_WORKER_RUN`
`static java.lang.String` | `EVENT_TYPE_SET`
`static java.lang.String` | `EXCEPTION_DURING_POST`
`static java.lang.String` | `FAILED_TO_CREATE_XA_RESOURCE`
`static java.lang.String` | `HANDLE_DEAD_EVENT_TYPES`
`static java.lang.String` | `HANDLE_NEW_EVENT_TYPES`
`static java.lang.String` | `LOCAL_TX_BEGIN` Keys used to locate the message for local transaction logging supported by this adapter.
`static java.lang.String` | `LOCAL_TX_BEGIN_EXCEPTION`
`static java.lang.String` | `LOCAL_TX_COMMIT`
`static java.lang.String` | `LOCAL_TX_COMMIT_EXCEPTION`
`static java.lang.String` | `LOCAL_TX_NOT_SUPPORTED` Key used to locate the message stating that local transactions are not supported by this adapter.
`static java.lang.String` | `LOCAL_TX_ROLLBACK`
`static java.lang.String` | `LOCAL_TX_ROLLBACK_EXCEPTION`
`static java.lang.String` | `MANAGED_CONNECTION_DESTROYED` Key used to locate the message for indicating a managed connection is being destroyed.
`static java.lang.String` | `MANAGED_CONNECTION_INFO` Key used to locate the message for managed connection information
`static java.lang.String` | `MISSING_RESOURCE_WARNING` Key used to locate the message stating that a resource is missing in the message bundle used by the resource adapter.
`static java.lang.String` | `MUST_OVERRIDE_CREATE_LOCAL_TX`
`static java.lang.String` | `MUST_OVERRIDE_CREATE_XA_RESOURCE`
`static java.lang.String` | `NO_MAPPING_CSPEC_2_CRI`
`static java.lang.String` | `NO_PASSWORD_CREDENTIALS_AVAILABLE`
`static java.lang.String` | `NON_CONNECTION_EXCEPTION_WHILE_PINGING`
`static java.lang.String` | `NULL_ARGUMENT` Key used to locate the message indicating a null argument was passed to a method that cannot handle a null argument.
`static java.lang.String` | `NULL_CONNECTION_ALLOCATED`
`static java.lang.String` | `NULL_CONNECTION_EVENT_LISTENER`
`static java.lang.String` | `NULL_CONNECTION_HANDLE`
`static java.lang.String` | `NULL_CONNECTION_REQUEST_INFO` Key used to locate the message for indicating that the connection request object is null.
`static java.lang.String` | `NULL_PASSWORD_CREDENTIAL`
`static java.lang.String` | `NULL_WORKER_THREAD`
`static java.lang.String` | `PHYSICAL_CONNECTION_ERROR` Key used to locate the message for indicating an error occured while attempting to create a physical connection to the underlying EIS.
`static java.lang.String` | `PHYSICAL_CONNECTION_NOT_SET`
`static java.lang.String` | `PING_ALIVE`
`static java.lang.String` | `PUSH_SOURCE_NOT_DECLARED`
`static java.lang.String` | `PUSH_SOURCE_NOT_IPUSHGENERATOR`
`static java.lang.String` | `RESOURCE_ERROR`
`static java.lang.String` | `RESULT_SET_INFO_NOT_SUPPORTED`
`static java.lang.String` | `ROUTER_EVENT_TYPES_NULL`
`static java.lang.String` | `UKNOWN_TYPE_ALLOCATED`
`static java.lang.String` | `UNKNOWN_APP_LEVEL_CONNECTION_HANDLE`
`static java.lang.String` | `USING_CREDENTIALS_FROM_SUBJECT` Key used to locate the message for indicating that the managed connection factory found user credentials in the javax.security.auth.Subject instance and will use those to obtain a connection from the EIS.
`static java.lang.String` | `XA_TX_NOT_SUPPORTED` Key used to locate the message stating that XA transactions are not supported by this adapter.

Field Detail

### XA_TX_NOT_SUPPORTED

    public static final java.lang.String XA_TX_NOT_SUPPORTED

  Key used to locate the message stating that XA transactions are not supported by this adapter.

### LOCAL_TX_NOT_SUPPORTED

    public static final java.lang.String LOCAL_TX_NOT_SUPPORTED

  Key used to locate the message stating that local transactions are not supported by this adapter.

### LOCAL_TX_BEGIN

    public static final java.lang.String LOCAL_TX_BEGIN

  Keys used to locate the message for local transaction logging supported by this adapter.

### LOCAL_TX_COMMIT

    public static final java.lang.String LOCAL_TX_COMMIT

### LOCAL_TX_ROLLBACK

    public static final java.lang.String LOCAL_TX_ROLLBACK

### MISSING_RESOURCE_WARNING

    public static final java.lang.String MISSING_RESOURCE_WARNING

  Key used to locate the message stating that a resource is missing in the message bundle used by the resource adapter. This is a warning only.

### ADAPTER_NAME

    public static final java.lang.String ADAPTER_NAME

  Key used to locate the name of the resource adapter for display purposes.

### ADAPTER_DESCRIPTION

    public static final java.lang.String ADAPTER_DESCRIPTION

  Key used to locate the description of the resource adapter for display purposes.

### ADAPTER_VERSION

    public static final java.lang.String ADAPTER_VERSION

  Key used to locate the version of the resource adapter for display purposes.

### ADAPTER_VENDOR

    public static final java.lang.String ADAPTER_VENDOR

  Key used to locate the vendor name of the resource adapter for display purposes.

### NULL_ARGUMENT

    public static final java.lang.String NULL_ARGUMENT

  Key used to locate the message indicating a null argument was passed to a method that cannot handle a null argument.

### CONNECTION_EVENT_NO_SOURCE

    public static final java.lang.String CONNECTION_EVENT_NO_SOURCE

  Key used to locate the message for a connection event without a valid source object.

### CONNECTION_EVENT_NO_SOURCE_WITH_EXCEPTION

    public static final java.lang.String CONNECTION_EVENT_NO_SOURCE_WITH_EXCEPTION

  Key used to locate the message for a connection event without a valid source object and an associated exception.

### CONNECTION_EVENT

    public static final java.lang.String CONNECTION_EVENT

  Key used to locate the message for a connection event.

### CONNECTION_EVENT_WITH_EXCEPTION

    public static final java.lang.String CONNECTION_EVENT_WITH_EXCEPTION

  Key used to locate the message for a connection event with an associated exception.

### MANAGED_CONNECTION_INFO

    public static final java.lang.String MANAGED_CONNECTION_INFO

  Key used to locate the message for managed connection information

### MANAGED_CONNECTION_DESTROYED

    public static final java.lang.String MANAGED_CONNECTION_DESTROYED

  Key used to locate the message for indicating a managed connection is being destroyed.

### NULL_CONNECTION_REQUEST_INFO

    public static final java.lang.String NULL_CONNECTION_REQUEST_INFO

  Key used to locate the message for indicating that the connection request object is null.

### USING_CREDENTIALS_FROM_SUBJECT

    public static final java.lang.String USING_CREDENTIALS_FROM_SUBJECT

  Key used to locate the message for indicating that the managed connection factory found user credentials in the javax.security.auth.Subject instance and will use those to obtain a connection from the EIS.

### PHYSICAL_CONNECTION_ERROR

    public static final java.lang.String PHYSICAL_CONNECTION_ERROR

  Key used to locate the message for indicating an error occured while attempting to create a physical connection to the underlying EIS.

### NO_MAPPING_CSPEC_2_CRI

    public static final java.lang.String NO_MAPPING_CSPEC_2_CRI

### PING_ALIVE

    public static final java.lang.String PING_ALIVE

### UNKNOWN_APP_LEVEL_CONNECTION_HANDLE

    public static final java.lang.String UNKNOWN_APP_LEVEL_CONNECTION_HANDLE

### ALREADY_DESTROYED

    public static final java.lang.String ALREADY_DESTROYED

### CONNECTION_HANDLE_REMOVED

    public static final java.lang.String CONNECTION_HANDLE_REMOVED

### NULL_CONNECTION_HANDLE

    public static final java.lang.String NULL_CONNECTION_HANDLE

### NULL_CONNECTION_EVENT_LISTENER

    public static final java.lang.String NULL_CONNECTION_EVENT_LISTENER

### FAILED_TO_CREATE_XA_RESOURCE

    public static final java.lang.String FAILED_TO_CREATE_XA_RESOURCE

### MUST_OVERRIDE_CREATE_XA_RESOURCE

    public static final java.lang.String MUST_OVERRIDE_CREATE_XA_RESOURCE

### MUST_OVERRIDE_CREATE_LOCAL_TX

    public static final java.lang.String MUST_OVERRIDE_CREATE_LOCAL_TX

### ADDITIONAL_CLEANUP_EXCEPTION

    public static final java.lang.String ADDITIONAL_CLEANUP_EXCEPTION

### DESTROY_PHYSICAL_CONNECTION_EXCEPTION

    public static final java.lang.String DESTROY_PHYSICAL_CONNECTION_EXCEPTION

### CONNECTION_EVENT_LISTENER_REMOVED

    public static final java.lang.String CONNECTION_EVENT_LISTENER_REMOVED

### DESTROYING_APP_LEVEL_CONNECTION_HANDLE

    public static final java.lang.String DESTROYING_APP_LEVEL_CONNECTION_HANDLE

### NO_PASSWORD_CREDENTIALS_AVAILABLE

    public static final java.lang.String NO_PASSWORD_CREDENTIALS_AVAILABLE

### NULL_PASSWORD_CREDENTIAL

    public static final java.lang.String NULL_PASSWORD_CREDENTIAL

### CREDENTIALS_IN_REQUEST_INFO

    public static final java.lang.String CREDENTIALS_IN_REQUEST_INFO

### CREDENTIALS_IN_SUBJECT

    public static final java.lang.String CREDENTIALS_IN_SUBJECT

### CONNECTION_FACTORY_INFO

    public static final java.lang.String CONNECTION_FACTORY_INFO

### NULL_CONNECTION_ALLOCATED

    public static final java.lang.String NULL_CONNECTION_ALLOCATED

### UKNOWN_TYPE_ALLOCATED

    public static final java.lang.String UKNOWN_TYPE_ALLOCATED

### ALREADY_CLOSED

    public static final java.lang.String ALREADY_CLOSED

### RESULT_SET_INFO_NOT_SUPPORTED

    public static final java.lang.String RESULT_SET_INFO_NOT_SUPPORTED

### LOCAL_TX_BEGIN_EXCEPTION

    public static final java.lang.String LOCAL_TX_BEGIN_EXCEPTION

### LOCAL_TX_COMMIT_EXCEPTION

    public static final java.lang.String LOCAL_TX_COMMIT_EXCEPTION

### LOCAL_TX_ROLLBACK_EXCEPTION

    public static final java.lang.String LOCAL_TX_ROLLBACK_EXCEPTION

### PHYSICAL_CONNECTION_NOT_SET

    public static final java.lang.String PHYSICAL_CONNECTION_NOT_SET

### CONNECTION_METADATA_EXCEPTION

    public static final java.lang.String CONNECTION_METADATA_EXCEPTION

### NULL_WORKER_THREAD

    public static final java.lang.String NULL_WORKER_THREAD

### EVENT_GENERATOR_INITIALIZED

    public static final java.lang.String EVENT_GENERATOR_INITIALIZED

### EVENT_GENERATOR_NOT_INITIALIZED

    public static final java.lang.String EVENT_GENERATOR_NOT_INITIALIZED

### EVENT_GENERATOR_ALREADY_STOPPED

    public static final java.lang.String EVENT_GENERATOR_ALREADY_STOPPED

### EVENT_GENERATOR_START

    public static final java.lang.String EVENT_GENERATOR_START

### EVENT_GENERATOR_REFRESH

    public static final java.lang.String EVENT_GENERATOR_REFRESH

### EVENT_GENERATOR_STOP

    public static final java.lang.String EVENT_GENERATOR_STOP

### EVENT_GENERATOR_WORKER_RUN

    public static final java.lang.String EVENT_GENERATOR_WORKER_RUN

### EVENT_GENERATOR_WORKER_END_RUN

    public static final java.lang.String EVENT_GENERATOR_WORKER_END_RUN

### ROUTER_EVENT_TYPES_NULL

    public static final java.lang.String ROUTER_EVENT_TYPES_NULL

### HANDLE_NEW_EVENT_TYPES

    public static final java.lang.String HANDLE_NEW_EVENT_TYPES

### EXCEPTION_DURING_POST

    public static final java.lang.String EXCEPTION_DURING_POST

### EVENT_TYPE_SET

    public static final java.lang.String EVENT_TYPE_SET

### HANDLE_DEAD_EVENT_TYPES

    public static final java.lang.String HANDLE_DEAD_EVENT_TYPES

### CONNECTION_PING_FAILED

    public static final java.lang.String CONNECTION_PING_FAILED

### NON_CONNECTION_EXCEPTION_WHILE_PINGING

    public static final java.lang.String NON_CONNECTION_EXCEPTION_WHILE_PINGING

### ERROR_CLOSING_CONNECTION

    public static final java.lang.String ERROR_CLOSING_CONNECTION

### EVENT_GENERATOR_ALREADY_STARTED

    public static final java.lang.String EVENT_GENERATOR_ALREADY_STARTED

### PUSH_SOURCE_NOT_IPUSHGENERATOR

    public static final java.lang.String PUSH_SOURCE_NOT_IPUSHGENERATOR

### RESOURCE_ERROR

    public static final java.lang.String RESOURCE_ERROR

### PUSH_SOURCE_NOT_DECLARED

    public static final java.lang.String PUSH_SOURCE_NOT_DECLARED

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)